/*
 * Copyright (c) 2012, Noel Lemouel
 * All rights reserved.
 */

#include <sysutil.h>
#include <drivers/led/led.h>

void tiny(void)
{
   volatile unsigned int i;

   /* UART1 already initialized by serial loader */
   /* uart1_init(); */

   led_init();

   printf("tiny mips [pic32_experimental_000]\n");

   for(;;)
   {
      led0_set();
      i = 80000; while(i--);
      led1_set();
      i = 80000; while(i--);
      led2_set();
      i = 80000; while(i--);
      led0_clear();
      i = 80000; while(i--);
      led1_clear();
      i = 80000; while(i--);
      led2_clear();
      i = 80000; while(i--);
   }
}

