/*
 * Copyright (c) 2008, Noel Lemouel
 * All rights reserved. See LICENCE file for details.
 */

#ifndef __STRING_H__
#define __STRING_H__

#include <stddef.h>

extern void *memcpy(void*, const void*, size_t);
extern void *memset(void*, int, size_t);
extern void *memset_32(void *s, int u, size_t n);
extern int strcmp(const char *s1, const char *s2);
extern int strncmp(const char *s1, const char *s2, size_t n);
extern size_t strlen(const char*);
extern size_t strnlen(const char*, size_t);

#endif /* __STRING_H__ */

