#!/bin/sh

HOST=`uname`
BAUDRATE=9600

if [ $# -lt 1 ];
then
	echo usage: $0 PORT#
	exit -1
fi

if [ $HOST = "Darwin" ]
then
	echo no_osx_support
elif [ $HOST = "MINGW32_NT-5.1" ] || [ $HOST = "CYGWIN_NT-5.1" ]
then
	./orx/orx_win32.exe $1 tiny.bin 0xa0000800 0x55 -b $BAUDRATE -t dummy
else
	echo no binaries available for $HOST
fi



